{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    minimal_base.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install minimal_base.";
    };
  };

  config = lib.mkIf config.me.minimal_base.enable {
    me.doas.enable = true;
    me.network.enable = true;
    me.nvme.enable = true;
    me.ssh.enable = true;
    me.sshd.enable = true;
    me.user.enable = true;
    me.zfs.enable = true;
    me.zrepl.enable = true;
    me.zsh.enable = true;

    # TODO: Maybe add me.boot.enable ?
  };
}
